package org.jeecg.modules.ctop.controller;

import cn.com.ctop.crawler.modules.account.entity.KuaishouAppAccount;
import cn.com.ctop.crawler.modules.account.service.IKuaishouAppAccountService;
import cn.com.ctop.crawler.modules.core.util.KuaishouUtil;
import cn.com.ctop.crawler.modules.log.entity.CrawlerLog;
import cn.com.ctop.kuaishou.modules.app.service.IKuaishouAppService;
import cn.com.ctop.kuaishou.modules.material.service.IKuaishouService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.system.query.QueryGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/ctop/syncdata")
public class SyncDataController {
    @Autowired
    private IKuaishouService kuaishouService;
    @Autowired
    private IKuaishouAppService kuaishouAppService;
    @Autowired
    private IKuaishouAppAccountService kuaishouAppAccountService;
    @RequestMapping("/test")
    public void test(){
        try {
            System.out.println(1);
            kuaishouService.getMaterial("97ec4cbc9a26ec24a8ba952b24856e6e",2289L);
//            kuaishouService.getReportByDay("97ec4cbc9a26ec24a8ba952b24856e6e",2289L,"2019-06-01","2019-06-14");
//            kuaishouService.getReportByHour("97ec4cbc9a26ec24a8ba952b24856e6e",2289L,"2019-06-11","2019-06-17");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @RequestMapping("/test2")
    public void test2(){
        try {
            Integer page = 1;
            while (page < 1000){
                QueryWrapper<KuaishouAppAccount> queryWrapper = QueryGenerator.initQueryWrapper(new KuaishouAppAccount(),null);
                queryWrapper.eq("path","/rest/n/feed/hot");
                List<KuaishouAppAccount> list = kuaishouAppAccountService.list(queryWrapper);
                if (list != null) {
                    for (KuaishouAppAccount kuaishouAppAccount : list) {
                        kuaishouAppService.adFetch(kuaishouAppAccount, page);
                    }
                }
                Thread.sleep(6000);
                page++;
            }
        } catch (InterruptedException e) {
            e.printStackTrace();
        }

    }
}
