package cn.com.ctop.kuaishou.modules.material.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
@Data
@TableName("ctop_kuaishou_group")
public class KuaishouGroup implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long accountId;
    @JsonProperty("campaign_id")
    private Long campaignId;
    @JsonProperty("unit_id")
    @TableId
    private Long groupId;
    @JsonProperty("unit_name")
    private String groupName;
    @JsonProperty("status")
    private Integer status;
    @JsonProperty("review_detail")
    private String reviewDetail;
    @JsonProperty("bid_type")
    private Integer bidType;
    @JsonProperty()
    private Integer bid;
    @JsonProperty("cpa_bid")
    private Integer cpaBid;
    @JsonProperty("ocpx_action_type")
    private Integer ocpxActionType;
    @JsonProperty("day_budget")
    private Long dayBudget;
    @JsonProperty()
    private Integer speed;
    @JsonProperty("begin_time")
    private String beginTime;
    @JsonProperty("end_time")
    private String endTime;
    @JsonProperty()
    @TableField(exist = false)
    private KuaishouSchedule schedule;
    @JsonProperty("show_model")
    private Integer showModel;
    @JsonProperty("url_type")
    private Integer urlType;
    @JsonProperty()
    private String url;
    @JsonProperty("app_id")
    private Long appId;
    @JsonProperty("app_icon_url")
    private String appIconUrl;
    @JsonProperty("diverse_data")
    @TableField(exist = false)
    private KuaishouAppInfo DiverseData;

}
