package cn.com.ctop.kuaishou.modules.material.service;

import cn.com.ctop.kuaishou.modules.material.entity.*;
import cn.com.ctop.kuaishou.modules.report.entity.*;

public interface IKuaishouInterfaceService {
    public KuaishouResult<KuaishouReportHourlyAccount> getAccountHourlyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);
    public KuaishouResult<KuaishouReportDailyAccount> getAccountDailyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);
    public KuaishouResult<KuaishouReportDailyCampaign> getCampaignDailyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);
    public KuaishouResult<KuaishouReportHourlyCampaign> getCampaignHourlyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);
    public KuaishouResult<KuaishouReportDailyGroup> getGroupDailyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);
    public KuaishouResult<KuaishouReportHourlyGroup> getGroupHourlyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);
    public KuaishouResult<KuaishouReportDailyCreative> getCreativeDailyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);
    public KuaishouResult<KuaishouReportHourlyCreative> getCreativeHourlyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);
    public KuaishouResult<KuaishouCampaign> getCampaignList(String accessToken, Long advertiserId);
    public KuaishouResult<KuaishouGroup> getGroupList(String accessToken, Long advertiserId);
    public KuaishouResult<KuaishouCreative> getCreativeList(String accessToken, Long advertiserId);
    public KuaishouResultToken getAccessToken(String authCode);
    public KuaishouResultToken getRefreshToken(String refreshToken);
}
