package cn.com.ctop.kuaishou.modules.material.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
@Data
@TableName("ctop_kuaishou_creative")
public class KuaishouCreative implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long accountId;
    @JsonProperty("campaign_id")
    private Long campaignId;
    @JsonProperty("unit_id")
    private Long groupId;
    @TableId
    @JsonProperty("creative_id")
    private Long creativeId;
    @JsonProperty("creative_name")
    private String creativeName;
    @JsonProperty("photo_id")
    private String photoId;
    @JsonProperty("status")
    private Integer status;
    @JsonProperty("review_detail")
    private String reviewDetail;
    @JsonProperty("cover_url")
    private String coverUrl;
    @JsonProperty("cover_width")
    private String coverWidth;
    @JsonProperty("cover_height")
    private String coverHeight;
    @JsonProperty("display_info")
    @TableField(exist = false)
    private KuaishouDisplayInfo displayInfo;
    @JsonProperty("click_trapage_size")
    private Integer clickTrapageSize;
}
